/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { DataPieBaseChartDescription } from "./DataPieBaseChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var DataPieChartDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DataPieChartDescription, _super);
    function DataPieChartDescription() {
        var _this = _super.call(this) || this;
        _this.yz = 0;
        _this.y0 = 0;
        _this.y7 = null;
        _this.za = null;
        _this.y4 = null;
        _this.yx = false;
        _this.y8 = null;
        _this.y9 = null;
        _this.y6 = null;
        _this.zb = null;
        _this.y5 = null;
        _this.y3 = null;
        return _this;
    }
    DataPieChartDescription.prototype.get_type = function () {
        return "DataPieChart";
    };
    Object.defineProperty(DataPieChartDescription.prototype, "transitionInDuration", {
        get: function () {
            return this.yz;
        },
        set: function (a) {
            this.yz = a;
            this.g("TransitionInDuration");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "transitionOutDuration", {
        get: function () {
            return this.y0;
        },
        set: function (a) {
            this.y0 = a;
            this.g("TransitionOutDuration");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "transitionInEasingFunctionRef", {
        get: function () {
            return this.y7;
        },
        set: function (a) {
            this.y7 = a;
            this.g("TransitionInEasingFunctionRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "transitionOutEasingFunctionRef", {
        get: function () {
            return this.za;
        },
        set: function (a) {
            this.za = a;
            this.g("TransitionOutEasingFunctionRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "chartType", {
        get: function () {
            return this.y4;
        },
        set: function (a) {
            this.y4 = a;
            this.g("ChartType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "isTransitionInEnabled", {
        get: function () {
            return this.yx;
        },
        set: function (a) {
            this.yx = a;
            this.g("IsTransitionInEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "transitionInMode", {
        get: function () {
            return this.y8;
        },
        set: function (a) {
            this.y8 = a;
            this.g("TransitionInMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "transitionInSpeedType", {
        get: function () {
            return this.y9;
        },
        set: function (a) {
            this.y9 = a;
            this.g("TransitionInSpeedType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "tooltipTemplateRef", {
        get: function () {
            return this.y6;
        },
        set: function (a) {
            this.y6 = a;
            this.g("TooltipTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "width", {
        get: function () {
            return this.zb;
        },
        set: function (a) {
            this.zb = a;
            this.g("Width");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "height", {
        get: function () {
            return this.y5;
        },
        set: function (a) {
            this.y5 = a;
            this.g("Height");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataPieChartDescription.prototype, "background", {
        get: function () {
            return this.y3;
        },
        set: function (a) {
            this.y3 = a;
            this.g("Background");
        },
        enumerable: false,
        configurable: true
    });
    DataPieChartDescription.$t = markType(DataPieChartDescription, 'DataPieChartDescription', DataPieBaseChartDescription.$);
    return DataPieChartDescription;
}(DataPieBaseChartDescription));
export { DataPieChartDescription };
